extends Scene


func _on_coastal_cliffs_interacted() -> void:
	$kq4_019_coastal_cliffs.default_script(self)


func _on_river_meadow_interacted() -> void:
	$kq4_026_river_meadow.default_script(self)


func _on_open_ocean_interacted() -> void:
	$kq4_031_open_ocean.default_script(self)


func _on_beach_interacted() -> void:
	$kq4_001_beach.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "A river, coming from the east, spills into the blue ocean before you. A lonely beach edges the ocean. From atop the bluff, a lovely meadow stretches eastward.")
	).build(self, "_on_script_complete"))


func _on_delta_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.say(ego, "The river flows into the ocean here, creating a delta. The water is shallow and murky.")
	).build(self, "_on_script_complete"))
